List Waiters
curl --request GET \
--url https://qstash-{region}.upstash.io/v2/waiters/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://qstash-{region}.upstash.io/v2/waiters/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qstash-{region}.upstash.io/v2/waiters/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"url": "<string>",
"headers": {},
"deadline": 123,
"timeoutBody": "aSDinaTvuI8gbWludGxpZnk=",
"timeoutUrl": "<string>",
"timeoutHeaders": {}
}
]{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Notify
List Waiters
List all active waiters for a specific event ID.
Returns information about all workflow runs that are currently waiting for the specified event.
GET
/
v2
/
waiters
/
{eventId}
List Waiters
Authorizations
bearerAuthbearerAuthQuery
QStash authentication token
Path Parameters
The event ID to list waiters for.
Response
List of active waiters
The URL that is waiting for the event notification.
The HTTP headers to send with the notification.
Show child attributes
Show child attributes
The Unix timestamp in seconds when the wait operation times out.
The body to send if the wait times out.
The URL to call if the wait times out.
The HTTP headers to send with the timeout callback.
Show child attributes
Show child attributes
Was this page helpful?